FROM tiangolo/uwsgi-nginx:python3.8-alpine AS builder

RUN python -m venv /opt/venv
# Make sure we use the virtualenv:
ENV PATH="/opt/venv/bin:$PATH"

RUN apk add --no-cache --virtual .build-deps ca-certificates gcc linux-headers \
    	    musl-dev jpeg-dev zlib-dev libffi-dev mysql mariadb-dev \ 
	    && pip install --upgrade pip 

COPY ./fet2020/requirements.txt /app/requirements.txt

RUN pip install -r requirements.txt


FROM tiangolo/uwsgi-nginx:python3.8-alpine

RUN apk add ghostscript-dev mariadb-connector-c
COPY --from=builder /opt/venv /opt/venv

# Make sure we use the virtualenv:
ENV PATH="/opt/venv/bin:$PATH"

#COPY ./fet2020 /app
COPY ./fet2020 /app
COPY ./assets /app/assets
COPY ./deployment/nginx.conf /etc/nginx/conf.d/fet2020.conf

#RUN python manage.py makemigrations && python manage.py makemigrations posts members


